policykit-1-gnome (0.105-7ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:01:50 +0000

policykit-1-gnome (0.105-7ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:42:34 +0000

policykit-1-gnome (0.105-7ubuntu3) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:53:43 -0500

policykit-1-gnome (0.105-7ubuntu2) disco; urgency=medium

  * Add X-Ubuntu-Use-Langpack: yes
    - so that we continue using Ubuntu language packs even if this package
      is demoted to universe

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Feb 2019 09:51:08 -0500

policykit-1-gnome (0.105-7ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining changes:
    - 04-autorestart.patch: Add gnome session restart support to ensure we
      always have an authentication agent running. To be forwarded upstream.
    - 06-authentication-failure-string.patch:
      Improve error message displayed when authentication fails.
    - Tell the .desktop file for the authentication agent to auto-restart the
      agent in case of failure.
    - Build-Depend on dh-sequence-translations

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 09 Feb 2019 01:32:51 -0500

policykit-1-gnome (0.105-7) unstable; urgency=medium

  * Update Vcs-* for migration to salsa
  * debian/changelog: Fix typo in previous changelog entry.
    Spotted by lintian.
  * debian/copyright: Rewrite to copyright format 1.0
  * Bump Standards-Version to 4.1.4
  * Convert patches to git-buildpackage pq
  * Auth dialog: Make the label wrap at 70 chars.
    Because GtkWindow doesn't have a default width anymore.
    Thanks to Lars Uebernickel! (via Ubuntu)
  * Get user icon from accountsservice instead of looking in ~/.face.
    Thanks to Marc Deslauriers! (via Ubuntu)
  * Use fresh X11 timestamps when displaying authentication dialog.
    This circumvents focus-stealing prevention.
    Thanks to Jeffrey Knockel! (Closes: #684300)

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Apr 2018 18:15:21 +0000

policykit-1-gnome (0.105-6) unstable; urgency=medium

  * Move the binary back to /usr/lib/policykit-1-gnome.
    This avoids unnecessary churn when upgrading from Jessie.
  * Start the authentication agent under Cinnamon.
    Cinnamon does not have its own built-in authentication agent.
    Update the package description accordingly. (Closes: #846245)

 -- Michael Biebl <biebl@debian.org>  Sat, 07 Jan 2017 19:39:22 +0100

policykit-1-gnome (0.105-5) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Remove GNOME from OnlyShowIn list. This authentication agent is not
    needed in GNOME Classic or GNOME Flashback sessions too.
    Closes: #823948.

  [ Simon McVittie ]
  * Set ${libexecdir} to /usr/lib to avoid architecture-dependent
    installation paths which would require us to generate
    a different debian/polkit-gnome-authentication-agent-1.desktop per
    architecture.
    - Using a new ${libexecdir}, instead of reverting to the subdirectory
      used by debhelper 8, ensures that users who have worked around
      #842184 by editing the autostart desktop file will get a conffile
      prompt reminding them to return to the package maintainer's version.
  * Update debian/polkit-gnome-authentication-agent-1.desktop for the new
    ${libexecdir}, fixing a regression in 0.105-4 that caused the agent to
    not get launched in XFCE or Unity as intended. (Closes: #842184)
  * Mark policykit-1-gnome as Multi-arch: foreign. Its only API is via
    D-Bus and is cross-architecture.
  * Rewrite Description to say that despite its name, GNOME does not
    use this (but XFCE and Unity do).

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Oct 2016 11:40:20 +0100

policykit-1-gnome (0.105-4) unstable; urgency=medium

  * Bump debhelper compat level to 10.
  * Run wrap-and-sort -a.
  * Add Build-Depends on gnome-common and intltool. Required by autoreconf.
    (Closes: #837840)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2016 01:25:43 +0200

policykit-1-gnome (0.105-3) unstable; urgency=medium

  * Team upload.
  * Make policykit-1-gnome provide polkit-1-auth-agent
  * Bump Standards-Version to 3.9.8 (no further changes)
  * Fix Vcs-* and Homepage URL's

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 13:17:13 +0200

policykit-1-gnome (0.105-2) unstable; urgency=low

  * Drop 0001-Revert-Drop-marshaller-complications.patch and add an explizit
    Build-Depends on libglib2.0-dev (>= 2.30) instead.
  * Fix versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.

 -- Michael Biebl <biebl@debian.org>  Sat, 28 Jan 2012 22:27:25 +0100

policykit-1-gnome (0.105-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches/0001-Revert-Drop-marshaller-complications.patch.
  * Enable default hardening options from dpkg-buildflags.
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 02:03:55 +0100

policykit-1-gnome (0.104-2) unstable; urgency=low

  * Revert upstream commit which drops the custom marshaller and uses the
    generic marshaller from GLib. This requires GLib >= 2.30 which is not yet
    in unstable. (Closes: #646521)
  * Use dh-autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Oct 2011 17:01:01 +0200

policykit-1-gnome (0.104-1) unstable; urgency=low

  [ Martin Pitt ]
  * debian/polkit-gnome-authentication-agent-1.desktop: Add Unity to
    OnlyShowIn.

  [ Michael Biebl ]
  * debian/watch:
    - Track .xz tarballs.
    - Change the download location to the GNOME ftp server.
  * New upstream release.
  * Drop libpolkit-gtk packages, removed upstream.
  * Update Build-Depends on libgtk2.0-dev to libgtk-3-dev (>= 3.0.0).

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Oct 2011 21:01:34 +0200

policykit-1-gnome (0.102-2) unstable; urgency=low

  * Drop Build-Depends on libdbus-glib-1-dev (ported to GDBus).
  * Don't start PolicyKit authentication agent in a default GNOME 3 desktop
    session as gnome-shell provides its own implementation. (Closes: #619432)

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Sep 2011 15:51:11 +0200

policykit-1-gnome (0.102-1) unstable; urgency=low

  * New upstream release.
  * Remove brace expansion from .install file.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Aug 2011 23:51:13 +0200

policykit-1-gnome (0.101-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Mar 2011 03:23:38 +0100

policykit-1-gnome (0.101-1) experimental; urgency=low

  * New upstream release.
  * Update patches
    - Drop debian/patches/01-fix-autostart.patch, obsolete.
    - Drop debian/patches/03-po-pt_BR.patch, merged upstream.
    - Refresh debian/patches/02-select-default-user.patch to apply cleanly.
  * Switch from cdbs to dh.
  * Bump debhelper compatibility level to 8.
  * Install documentation using debian/policykit-1-gnome.docs.
  * Ship a copy of the old autostart file for the PolicyKit authentication
    agent. It was removed upstream in preparation for GNOME3 which starts its
    own authentication agent.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Mar 2011 00:19:00 +0100

policykit-1-gnome (0.99-2) unstable; urgency=low

  [ Robert Ancell ]
  * Drop 03-dialog-focus.patch. PolicyKit does not allow non-root applications
    to set details (LP: #685655)

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Feb 2011 19:51:33 +0100

policykit-1-gnome (0.99-1) experimental; urgency=low

  [ Michael Biebl ]
  * New upstream release.
    - Port to GDBus fixes recursion in type registration. (Closes: #567303)
  * debian/patches/00git-hide-agent-autostart.patch
    - Remove, merged upstream.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
    - Remove debian/README.source.
  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.
    - Bump Build-Depends on libpolkit-agent-1-dev and libpolkit-gobject-1-dev
      to (>= 0.97).

  [ Robert Ancell ]
  * Add debian/patches/03-dialog-focus.patch: Add toplevel_xid to set
    transient window for authentication dialog. This ensures that the auth
    window gets and keeps focus when it pops up. (LP: #433851)

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Nov 2010 17:40:12 -0400

policykit-1-gnome (0.96-3) unstable; urgency=low

  * debian/patches/03-po-pt_BR.patch
    - Updated Brazilian Portuguese (pt_BR) translation. (Closes: #599539)
      Thanks Sérgio Cipolla!

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 04:27:11 +0100

policykit-1-gnome (0.96-2) unstable; urgency=low

  * 01-fix-autostart.patch: Restore OnlyShowIn, now that polkit-qt-1 exists.
  * Add 00git-hide-agent-autostart.patch: Set NoDisplay=true in the agent
    autostart file, so that it does not appear in the Session capplet any
    more. This prevents users from shooting themselves into the foot.
    Patch committed to and backported from upstream trunk. (LP: #509798)
  * debian/control: Bump Standards-Version to 3.8.4 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Feb 2010 22:40:26 +0100

policykit-1-gnome (0.96-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Jan 2010 00:16:52 +0100

policykit-1-gnome (0.95-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libpolkit-{agent,gobject}-1-dev to (>= 0.95).
  * Remove debian/patches/03-status-icon-whitespace.patch, merged upstream.
  * debian/rules
    - Disable instrospection support.
  * debian/libpolkit-gtk-1-0.symbols
    - Update for new API additions.

 -- Michael Biebl <biebl@debian.org>  Sat, 14 Nov 2009 06:04:06 +0100

policykit-1-gnome (0.94-2) unstable; urgency=low

  [ Martin Pitt ]
  * Add 03-status-icon-whitespace.patch: Fix leftover white-space in
    the notification area after hiding the icon. Thanks to Chris Coulson for
    the patch! (https://bugzilla.gnome.org/show_bug.cgi?id=597346)
  * Add myself to Uploaders:, with Michael's consent.

  [ Michael Vogt ]
  * rename debian/patches/01-xfce-autostart.patch
    to debian/patches/01-fix-autostart.patch
  * debian/patches/01-fix-autostart.patch:
    - comment the OnlyShowIn line out to make it autostart on 
      KDE as well (LP: #444661) (until KDE gets its own native
      agent)

  [ Robert Ancell ]
  * Add 02-select-default-user.patch: Select the current user to authenticate
    with by default (LP: #435227)

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Nov 2009 12:19:34 +0100

policykit-1-gnome (0.94-1) unstable; urgency=low

  * New upstream version which uses the new PolicyKit-1 API. Rename the
    package to make it co-installable with policykit-gnome until everything is
    ported over.
  * Drop all patches, as they no longer apply or have been fixed upstream.
  * debian/control
    - Update Build-Depends
      + Drop libgnome2-dev, libgnomeui-dev, libpolkit-dbus-dev,
        libpolkit-grant-dev, gnome-doc-utils and libxml-parser-perl.
      + Add libpolkit-{agent,gobject}-dev (>= 0.93).
      + Bump libgtk2.0-dev to (>= 2.17.1) and gtk-doc-tools to (>= 1.3).
    - Bump Standards-Version to 3.8.3.
      + Add README.source which refers to the quilt documentation.
    - Update Vcs-* fields. Package is now managed using Git and hosted on
      git.debian.org.
  * Update package layout
    - Rename policykit-gnome → policykit-1-gnome.
    - Update libpolkit-gnome → libpolkit-gtk.
    - Drop policykit-gnome-doc, include API documentation in
      libpolkit-gtk-1-dev.
  * Update and revise all *.install files.
  * Add symbols file for libpolkit-gtk.
  * debian/patches/01-xfce-autostart.patch
    - Start authentication agent in XFCE as well. (LP: #417462)
  * debian/rules
    - Enable API documentation.
  * Update watch file.
  * debian/copyright
    - Update copyright holder.
    - The complete package (besides the documentation) is now LGPL-2+.

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Sep 2009 00:13:17 +0200

policykit-gnome (0.9.2-2) unstable; urgency=low

  * debian/patches/05-fix-actions.patch
    - Pull patch from Fedora CVS to make actions work again. When blocking
      "clicked" because the user is not authenticated it should emit
      "auth-start" so that the user is invited to authenticate.
      (Closes: #524836)
  * debian/patches/05-no-commas.patch
    - Don't show excess commas when displaying user's real name. Patch pulled
      from Ubuntu.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Apr 2009 11:39:07 +0200

policykit-gnome (0.9.2-1) unstable; urgency=low

  * New upstream release. 
  * debian/control
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.13.6).
    - Drop Build-Depends on libsexy-dev.
    - Bump Standards-Version to 3.8.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Mar 2009 23:22:12 +0100

policykit-gnome (0.9-2) unstable; urgency=low

  * debian/control
    - Wrap Build-Depends.
    - Add ${misc:Depends} to all binary packages.
    - Bump Build-Depends on debhelper to (>= 7).
    - Bump Build-Depends on libpolkit-{dbus,grant}-dev to (>= 0.9).
    - Bump Depends on policykit to (>= 0.9).
  * debian/compat
    - Bump debhelper compat level to 7.
  * Switch patch management system to quilt.
  * debian/copyright
    - Revise copyright notice with regard to polkit-gnome, which is licsensed
      under the LGPL v2.
    - Refer to /usr/share/common-licenses/GPL-2 instead of the unversioned
      symlink.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Feb 2009 18:05:29 +0100

policykit-gnome (0.9-1) unstable; urgency=low

  * New upstream release. 
  * debian/control
    - Bump Standards-Version to 3.8.0. No further changes.
  * debian/patches/03-fix_i18n.patch
    - Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Aug 2008 11:13:52 +0200

policykit-gnome (0.8-2) unstable; urgency=low

  * debian/patches/03-fix_i18n.patch
    - Set the correct gettext domain to make the translations show up.
      Thanks to James Westby for the patch. (Closes: #482066)
  * Add symbols file for libpolkit-gnome0. 

 -- Michael Biebl <biebl@debian.org>  Fri, 23 May 2008 05:23:30 +0200

policykit-gnome (0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Add Build-Depends on pkg-config.
  * debian/patches/01-missing_polkit_grant_lib.patch
    - Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Apr 2008 02:21:22 +0200

policykit-gnome (0.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Jan 2008 01:31:33 +0100

policykit-gnome (0.7-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Change Homepage URL to http://hal.freedesktop.org/docs/PolicyKit-gnome/.
    - Add Build-Depends on libsexy-dev (>= 0.1.11).
    - Add Build-Depends on gtk-doc-tools.
    - Bump Build-Depends on libpolkit-{dbus,grant}-dev to (>= 0.7).
    - Add the new binary packages policykit-gnome-doc, libpolkit-gnome0 and
      libpolkit-gnome-dev.
  * debian/policykit-gnome-doc.{links,install}
    - Install the devhelp API documentation into
      /usr/share/doc/policykit-gnome-doc/html and create a link back to
      /usr/share/gtk-doc/html.
  * debian/libpolkit-gnome0.install
    - Install the libpolkit-gnome.so.* library.
  * debian/libpolkit-gnome-dev.install
    - Install the headers, pkgconfig file and libpolkit-gnome.{so,a}.
  * debian/patches/01-missing_polkit_grant_lib.patch
    - libpolkit-gnome uses libpolkit-grant, so we have to link against it.
  * debian/patches/02-desktop_file_categories.patch
    - Set the correct categories in the polkit-gnome-authorization desktop
      file.
  * debian/rules
    - Use -Wl,-z,defs to detect undefined symbols in object files.
  * debian/copyright
    - The package now ships documentation which is licensed under the GFDL.
      Update the copyright notice accordingly.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Dec 2007 23:42:12 +0100

policykit-gnome (0.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - The Vcs-* fields are now officially supported, so remove the XS- prefix.
  * debian/patches/01_no_tooltip.patch
    - Prevent building of the example binaries with the --disable-examples
      configure flag. This makes the patch obsolete and it is thus removed.

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Nov 2007 01:15:32 +0100

policykit-gnome (0.5-1) experimental; urgency=low

  * Initial release. (Closes: #442254)

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Sep 2007 14:24:03 +0200

